<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Code Coverage for /var/www/html/model/User.php</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href=".css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href=".css/octicons.css" rel="stylesheet" type="text/css">
  <link href=".css/style.css" rel="stylesheet" type="text/css">
  <link href=".css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/var/www/html/model</a></li>
         <li class="breadcrumb-item active">User.php</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="table-responsive">
    <table class="table table-bordered">
     <thead>
      <tr>
       <td>&nbsp;</td>
       <td colspan="10"><div align="center"><strong>Code Coverage</strong></div></td>
      </tr>
      <tr>
       <td>&nbsp;</td>
       <td colspan="3"><div align="center"><strong>Classes and Traits</strong></div></td>
       <td colspan="4"><div align="center"><strong>Functions and Methods</strong></div></td>
       <td colspan="3"><div align="center"><strong>Lines</strong></div></td>
      </tr>
     </thead>
     <tbody>
      <tr>
       <td class="success">Total</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">8&nbsp;/&nbsp;8</div></td>
      </tr>

      <tr>
       <td class="success">User</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">16</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">8&nbsp;/&nbsp;8</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#14"><abbr title="__construc()">__construc</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="success" colspan="4">&nbsp;<a href="#17"><abbr title="createUser($nom, $email, $password, $isAdmin, $isActif, $token)">createUser</abbr></a></td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">1&nbsp;/&nbsp;1</div></td>
       <td class="success small">1</td>
       <td class="success big">       <div class="progress">
         <div class="progress-bar bg-success" role="progressbar" aria-valuenow="100.00" aria-valuemin="0" aria-valuemax="100" style="width: 100.00%">
           <span class="sr-only">100.00% covered (success)</span>
         </div>
       </div>
</td>
       <td class="success small"><div align="right">100.00%</div></td>
       <td class="success small"><div align="right">8&nbsp;/&nbsp;8</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#29"><abbr title="getId()">getId</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#30"><abbr title="getNom()">getNom</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#31"><abbr title="getEmail()">getEmail</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#32"><abbr title="getPassword()">getPassword</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#33"><abbr title="isAdmin()">isAdmin</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#34"><abbr title="isActif()">isActif</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#35"><abbr title="getToken()">getToken</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#39"><abbr title="setId($id)">setId</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#40"><abbr title="setNom($nom)">setNom</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#41"><abbr title="setEmail($email)">setEmail</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#42"><abbr title="setPassword($password)">setPassword</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#43"><abbr title="setAdmin($isAdmin)">setAdmin</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#44"><abbr title="setActif($isActif)">setActif</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>

      <tr>
       <td class="" colspan="4">&nbsp;<a href="#45"><abbr title="setToken($token)">setToken</abbr></a></td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
       <td class=" small">1</td>
       <td class=" big"></td>
       <td class=" small"><div align="right">n/a</div></td>
       <td class=" small"><div align="right">0&nbsp;/&nbsp;0</div></td>
      </tr>


     </tbody>
    </table>
   </div>
   <table id="code" class="table table-borderless table-condensed">
    <tbody>
     <tr><td><div align="right"><a name="1"></a><a href="#1">1</a></div></td><td class="codeLine"><span class="default">&lt;?php</span></td></tr>
     <tr><td><div align="right"><a name="2"></a><a href="#2">2</a></div></td><td class="codeLine"><span class="keyword">class</span><span class="default">&nbsp;</span><span class="default">User</span><span class="default">&nbsp;</span><span class="keyword">{</span></td></tr>
     <tr><td><div align="right"><a name="3"></a><a href="#3">3</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">//Attributs&nbsp;de&nbsp;la&nbsp;classe</span></td></tr>
     <tr><td><div align="right"><a name="4"></a><a href="#4">4</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$id</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="5"></a><a href="#5">5</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$nom</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="6"></a><a href="#6">6</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$email</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="7"></a><a href="#7">7</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$password</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="8"></a><a href="#8">8</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$isAdmin</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="9"></a><a href="#9">9</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$isActif</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="10"></a><a href="#10">10</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">private</span><span class="default">&nbsp;</span><span class="default">$token</span><span class="keyword">;</span></td></tr>
     <tr><td><div align="right"><a name="11"></a><a href="#11">11</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="12"></a><a href="#12">12</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="13"></a><a href="#13">13</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">//Constructeur&nbsp;par&nbsp;defaut</span></td></tr>
     <tr><td><div align="right"><a name="14"></a><a href="#14">14</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">__construc</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="15"></a><a href="#15">15</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="16"></a><a href="#16">16</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">//Constructeur&nbsp;acceptant&nbsp;toutes&nbsp;les&nbsp;valeurs&nbsp;de&nbsp;l'objet</span></td></tr>
     <tr><td><div align="right"><a name="17"></a><a href="#17">17</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">static</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">createUser</span><span class="keyword">(</span><span class="default">$nom</span><span class="keyword">,</span><span class="default">&nbsp;</span><span class="default">$email</span><span class="keyword">,</span><span class="default">&nbsp;</span><span class="default">$password</span><span class="keyword">,</span><span class="default">&nbsp;</span><span class="default">$isAdmin</span><span class="keyword">,</span><span class="default">&nbsp;</span><span class="default">$isActif</span><span class="keyword">,</span><span class="default">&nbsp;</span><span class="default">$token</span><span class="keyword">)</span><span class="keyword">{</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 18" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="18"></a><a href="#18">18</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="keyword">new</span><span class="default">&nbsp;</span><span class="default">self</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 19" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="19"></a><a href="#19">19</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setNom</span><span class="keyword">(</span><span class="default">$nom</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 20" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="20"></a><a href="#20">20</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setEmail</span><span class="keyword">(</span><span class="default">$email</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 21" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="21"></a><a href="#21">21</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setPassword</span><span class="keyword">(</span><span class="default">$password</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 22" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="22"></a><a href="#22">22</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setAdmin</span><span class="keyword">(</span><span class="default">$isAdmin</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 23" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="23"></a><a href="#23">23</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setActif</span><span class="keyword">(</span><span class="default">$isActif</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 24" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="24"></a><a href="#24">24</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="default">$user</span><span class="default">-&gt;</span><span class="default">setToken</span><span class="keyword">(</span><span class="default">$token</span><span class="keyword">)</span><span class="keyword">;</span></td></tr>
     <tr class="covered-by-large-tests popin" data-title="6 tests cover line 25" data-content="&lt;ul&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testInsertDeleteParticipant&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testEmailAlreadyExists&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetUserByEmail&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;SeanceTest::testGetSeanceByUserId&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testCreateUser&lt;/li&gt;&lt;li class=&quot;covered-by-large-tests&quot;&gt;UserTest::testGetAndActivateUser&lt;/li&gt;&lt;/ul&gt;" data-placement="bottom" data-html="true"><td><div align="right"><a name="25"></a><a href="#25">25</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$user</span><span class="keyword">;</span></td></tr>
     <tr class="warning"><td><div align="right"><a name="26"></a><a href="#26">26</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="27"></a><a href="#27">27</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="28"></a><a href="#28">28</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="comment">//Getters</span></td></tr>
     <tr><td><div align="right"><a name="29"></a><a href="#29">29</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getId</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">id</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="30"></a><a href="#30">30</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getNom</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">nom</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="31"></a><a href="#31">31</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getEmail</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">email</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="32"></a><a href="#32">32</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getPassword</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">password</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="33"></a><a href="#33">33</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">isAdmin</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isAdmin</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="34"></a><a href="#34">34</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">isActif</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isActif</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="35"></a><a href="#35">35</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">getToken</span><span class="keyword">(</span><span class="keyword">)</span><span class="keyword">{</span><span class="keyword">return</span><span class="default">&nbsp;</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">token</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="36"></a><a href="#36">36</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="37"></a><a href="#37">37</a></div></td><td class="codeLine"></td></tr>
     <tr><td><div align="right"><a name="38"></a><a href="#38">38</a></div></td><td class="codeLine"><span class="comment">//Setters</span></td></tr>
     <tr><td><div align="right"><a name="39"></a><a href="#39">39</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setId</span><span class="keyword">(</span><span class="default">$id</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">id</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="40"></a><a href="#40">40</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setNom</span><span class="keyword">(</span><span class="default">$nom</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">nom</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$nom</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="41"></a><a href="#41">41</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setEmail</span><span class="keyword">(</span><span class="default">$email</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">email</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$email</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="42"></a><a href="#42">42</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setPassword</span><span class="keyword">(</span><span class="default">$password</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">password</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$password</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="43"></a><a href="#43">43</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setAdmin</span><span class="keyword">(</span><span class="default">$isAdmin</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isAdmin</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$isAdmin</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="44"></a><a href="#44">44</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setActif</span><span class="keyword">(</span><span class="default">$isActif</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">isActif</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$isActif</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="45"></a><a href="#45">45</a></div></td><td class="codeLine"><span class="default">&nbsp;&nbsp;&nbsp;&nbsp;</span><span class="keyword">public</span><span class="default">&nbsp;</span><span class="keyword">function</span><span class="default">&nbsp;</span><span class="default">setToken</span><span class="keyword">(</span><span class="default">$token</span><span class="keyword">)</span><span class="keyword">{</span><span class="default">$this</span><span class="default">-&gt;</span><span class="default">token</span><span class="default">&nbsp;</span><span class="keyword">=</span><span class="default">&nbsp;</span><span class="default">$token</span><span class="keyword">;</span><span class="keyword">}</span></td></tr>
     <tr><td><div align="right"><a name="46"></a><a href="#46">46</a></div></td><td class="codeLine"><span class="keyword">}</span></td></tr>

    </tbody>
   </table>
   <footer>
    <hr/>
    <h4>Legend</h4>
    <p>
     <span class="success"><strong>Executed</strong></span>
     <span class="danger"><strong>Not Executed</strong></span>
     <span class="warning"><strong>Dead Code</strong></span>
    </p>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.1.4</a> using <a href="https://secure.php.net/" target="_top">PHP 7.3.9</a> with <a href="https://xdebug.org/">Xdebug 2.7.2</a> and <a href="https://phpunit.de/">PHPUnit 7.5.20</a> at Fri Mar 13 10:10:33 UTC 2020.</small>
    </p>
    <a title="Back to the top" id="toplink" href="#">
        <svg xmlns="http://www.w3.org/2000/svg" width="12" height="16" viewBox="0 0 12 16"><path fill-rule="evenodd" d="M12 11L6 5l-6 6h12z"/></svg>
    </a>
   </footer>
  </div>
  <script src=".js/jquery.min.js" type="text/javascript"></script>
  <script src=".js/popper.min.js" type="text/javascript"></script>
  <script src=".js/bootstrap.min.js" type="text/javascript"></script>
  <script src=".js/file.js" type="text/javascript"></script>
 </body>
</html>
